Spintrum/run_install.sh

21 lines
414 B
Bash

#!/bin/bash
#go to the directory of the script
reldir=`dirname $0`
cd $reldir
directory=`pwd`
RED='\033[1;31m'
NC='\033[0m' # No Color
if [ "$(id -u)" != "0" ]; then
echo -e "${RED}ERROR: This script must be run as root${NC}" 1>&2
exit 1
fi
pip3 install dist/spintrum* --upgrade
if [ $? -ne 0 ]; then
echo 'Package installation failed. Did you build the package? Do you have pip3 installed?'
exit
fi